Subject: [PATCH] netconsole: kbuild dependency fix

From: Stanislav Fomichev <[email-masked]>
Date: Sun, 23 Jan 2011 22:51:16 +0300

Hello all,
I'm not sure if it's the right place to send this patch, but I didn't find a better one.

Here is a small fix for netconsole dependency (upon config fs) that I unintentionally found.

Hope you'll find it useful.

This patch is for 2.6.38-rc2.

diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
index 0382332..9733da1 100644
--- a/drivers/net/Kconfig
+++ b/drivers/net/Kconfig
@@ -3382,6 +3382,7 @@ config NET_FC
 	  "SCSI generic support".
 
 config NETCONSOLE
+	depends on CONFIGFS_FS
 	tristate "Network console logging support"
 	---help---
 	If you want to log kernel messages over the network, enable this.